hpp-corbaserver: hpp::core_impl::configuration_shooter::GaussianServant< _Base, _Storage > Class Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | List of all members
hpp::core_impl::configuration_shooter::GaussianServant< _Base, _Storage > Class Template Reference

`#include <hpp/core_idl/configuration_shooters-fwd.hh>`

Inheritance diagram for hpp::core_impl::configuration_shooter::GaussianServant< _Base, _Storage >:
[legend]
Collaboration diagram for hpp::core_impl::configuration_shooter::GaussianServant< _Base, _Storage >:
[legend]

## Public Types
typedef hpp::core_impl::ConfigurationShooterServant< _Base, _Storage >::HppBase | HppBase
Public Types inherited from hpp::core_impl::ConfigurationShooterServant< _Base, _Storage >
typedef hpp::core::ConfigurationShooter | HppBase
Public Types inherited from hpp::corbaServer::ServantBase< hpp::core::ConfigurationShooter, _Storage >
typedef _Storage | Storage
typedef weak_ptr< typename Storage::element_type > | StorageElementWkPtr_t
typedef shared_ptr< typename Storage::element_type > | StorageElementShPtr_t
Public Types inherited from hpp::corbaServer::AbstractServantBase< T >
typedef shared_ptr< T > | TShPtr_t
typedef weak_ptr< T > | TWkPtr_t

## Public Member Functions
| SERVANT_BASE_TYPEDEFS (hpp::core_idl::configuration_shooter::Gaussian, HppBase)
| GaussianServant (::hpp::corbaServer::Server *server, const _Storage &s)
virtual | ~GaussianServant ()
void | setCenter (const hpp::floatSeq &c)
hpp::floatSeq * | getCenter ()
hpp::floatSeq * | getSigmas ()
void | setSigmas (const hpp::floatSeq &s)
Public Member Functions inherited from hpp::core_impl::ConfigurationShooterServant< _Base, _Storage >
| SERVANT_BASE_TYPEDEFS (hpp::core_idl::ConfigurationShooter, HppBase)
| ConfigurationShooterServant (::hpp::corbaServer::Server *server, const _Storage &s)
virtual | ~ConfigurationShooterServant ()
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
hpp::floatSeq * | shoot ()
Public Member Functions inherited from hpp::corbaServer::ServantBase< hpp::core::ConfigurationShooter, _Storage >
virtual | ~ServantBase ()
virtual TShPtr_t | get () const
bool | expired () const final
StorageElementShPtr_t | getT () const
const Storage & | getS () const
void | persistantStorage (bool persistant)
| Set to true if the servant should take ownership of this object. More...
bool | persistantStorage () const
| See persistantStorage(bool) More...
void | deleteThis ()
bool | deleteIfExpired ()
Public Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
virtual | ~AbstractServantBase ()
virtual Server::ServantKey | getServantKey () const

## Additional Inherited Members
Protected Member Functions inherited from hpp::corbaServer::ServantBase< hpp::core::ConfigurationShooter, _Storage >
| ServantBase (Server *server, const Storage &_s)
Protected Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
| AbstractServantBase (Server *server)
Protected Attributes inherited from hpp::corbaServer::ServantBase< hpp::core::ConfigurationShooter, _Storage >
Storage | wrappedObject_
Protected Attributes inherited from hpp::corbaServer::AbstractServantBase< T >
Server * | server_

## Member Typedef Documentation

## ◆ HppBase

template<typename _Base , typename _Storage >

typedef hpp::core_impl::ConfigurationShooterServant<_Base, _Storage>::HppBase hpp::core_impl::configuration_shooter::GaussianServant< _Base, _Storage >::HppBase

## Constructor & Destructor Documentation

## ◆ GaussianServant()

template<typename _Base , typename _Storage >

hpp::core_impl::configuration_shooter::GaussianServant< _Base, _Storage >::GaussianServant | ( | ::hpp::corbaServer::Server * | server,
|  | const _Storage & | s
| ) |  |

## ◆ ~GaussianServant()

template<typename _Base , typename _Storage >

hpp::core_impl::configuration_shooter::GaussianServant< _Base, _Storage >::~GaussianServant
| virtual

## Member Function Documentation

## ◆ getCenter()

template<typename _Base , typename _Storage >

hpp::floatSeq * hpp::core_impl::configuration_shooter::GaussianServant< _Base, _Storage >::getCenter

## ◆ getSigmas()

template<typename _Base , typename _Storage >

hpp::floatSeq * hpp::core_impl::configuration_shooter::GaussianServant< _Base, _Storage >::getSigmas

## ◆ SERVANT_BASE_TYPEDEFS()

template<typename _Base , typename _Storage >

hpp::core_impl::configuration_shooter::GaussianServant< _Base, _Storage >::SERVANT_BASE_TYPEDEFS | ( | hpp::core_idl::configuration_shooter::Gaussian | ,
|  | HppBase |
| ) |  |

## ◆ setCenter()

template<typename _Base , typename _Storage >

void hpp::core_impl::configuration_shooter::GaussianServant< _Base, _Storage >::setCenter | ( | const hpp::floatSeq & | c | ) |

## ◆ setSigmas()

template<typename _Base , typename _Storage >

void hpp::core_impl::configuration_shooter::GaussianServant< _Base, _Storage >::setSigmas | ( | const hpp::floatSeq & | s | ) |

The documentation for this class was generated from the following files:

- src/hpp/core_idl/configuration_shooters-fwd.hh
- src/hpp/core_idl/configuration_shooters.hh